Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class ObjectReferenceFactoryHelper

    java.lang.Object
      org.omg.PortableInterceptor.ObjectReferenceFactoryHelper

    public abstract class ObjectReferenceFactoryHelper

extends Object

The object reference factory. This provides the capability of creating an object reference.

Constructor Summary
`ObjectReferenceFactoryHelper()`

Method Summary
`static ObjectReferenceFactory` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, ObjectReferenceFactory that)`
`static ObjectReferenceFactory` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, ObjectReferenceFactory value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectReferenceFactoryHelper

    public ObjectReferenceFactoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ObjectReferenceFactory that)

### extract

    public static ObjectReferenceFactory extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static ObjectReferenceFactory read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             ObjectReferenceFactory value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.